Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233529 - root cache file should be considered stale once .cfg has a newer timestamp
Summary: root cache file should be considered stale once .cfg has a newer timestamp
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora Hosted Projects
Classification: Retired
Component: mock
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Clark Williams
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-22 22:03 UTC by Bernard Johnson
Modified: 2013-01-10 04:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-07 20:36:05 UTC


Attachments (Terms of Use)

Description Bernard Johnson 2007-03-22 22:03:07 UTC
Description of problem:
If a mock root is cached, any changs to the cfg file that would change the
composition of that root file are ignored.  For example, if you change repo
configuration, the next run using autocache will ignore those changes and use
whatever is in the root cache.

Specifically, I tested this by changing:
config_opts['chroot_setup_cmd'] = 'groupinstall build'
to
config_opts['chroot_setup_cmd'] = 'groupinstall build build-minimal'

New files that should have been in the root next time I ran with --autocache
were not there until I rebuilt the root cache.

Version-Release number of selected component (if applicable):
mock-0.6.11-1.fc6

How reproducible:
Always

Steps to Reproduce:
1. run mock with --autocache, cache is created
2. change a cfg file used to build with, change something that would affect root
3. build with new cfg file (and --autocache), changes are not in affect as old
root is cached
  
Expected results:
automatically rebuild root cache when cfg file is newer than root cache, or at
least maybe an --ignorestale option.

Comment 1 Clark Williams 2007-03-25 15:10:51 UTC
Good point. I'll add some logic to the next release to check the timestamp of
the root cache versus the .cfg that controls it.

Comment 2 Lubomir Kundrak 2008-02-27 17:53:56 UTC
Seems like this already happens, not?

Comment 3 Clark Williams 2008-03-07 20:36:05 UTC
Latest version has code to check both the cfg file and the default.cfg file and
will rebuild the cache if either is newer than the cache file.


Note You need to log in before you can comment on or make changes to this bug.